develooper Front page | perl.libwww | Postings from February 2003

Problem with use of the Crypt module

From:
Paul Heijmann
Date:
February 18, 2003 08:00
Subject:
Problem with use of the Crypt module
Message ID:
FBC1FD9F6E141F4DB504567DF56BF1090FB4E8@tazman.nl.1eeurope.com
Hi,

I am experiencing a problem, which (I think) has to do something with user rights.
Let me describe briefly the steps I took:

- execute perl Makefile.pl
- make
- make test
- make install

The last one (make install) returned:
Installing /InterShop4/lib/site_perl/linux/auto/Crypt/SSLeay/SSLeay.so
Files found in blib/arch: installing files in blib/lib into architecture dependent library tree
Writing /InterShop4/lib/site_perl/linux/auto/Crypt/SSLeay/.packlist
Appending installation info to /InterShop4/lib/linux/perllocal.pod

All was done as 'root' user..

Now, my test Perl script, which makes an https-connection to a site, run's perfectly when I'm logged in as 'root'.
However, logged in as any other user on the system, results in the error 
'501  Protocol scheme 'https' is not supported
which looks like the module is not installed at all.

I checked the directory in which the module was installed for read-rights, and even set Read rights for all files withing that directory (site_perl/linux).

I don't have any clue any more of what could be wrong.

Any help would be appreciated very much!

Kind regards,
Paul Heijmann





nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About